<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.openhis.administration.mapper.FrequencyMapper">

    <resultMap id="BaseResultMap" type="com.openhis.administration.domain.Frequency">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="rateCode" column="rate_code" jdbcType="VARCHAR"/>
            <result property="name" column="name" jdbcType="VARCHAR"/>
            <result property="dayCount" column="day_count" jdbcType="INTEGER"/>
            <result property="dayInterval" column="day_interval" jdbcType="INTEGER"/>
            <result property="dayTimes" column="day_times" jdbcType="VARCHAR"/>
            <result property="weekCycleFlag" column="week_cycle_flag" jdbcType="INTEGER"/>
            <result property="weekInterval" column="week_interval" jdbcType="INTEGER"/>
            <result property="weekTimes" column="week_times" jdbcType="INTEGER"/>
            <result property="continueFlag" column="continue_flag" jdbcType="INTEGER"/>
            <result property="totalExecutionCount" column="total_execution_count" jdbcType="INTEGER"/>
            <result property="executionPeriod" column="execution_period" jdbcType="INTEGER"/>
            <result property="executionPeriodUnit" column="execution_period_unit" jdbcType="VARCHAR"/>
            <result property="thirdCode" column="third_code" jdbcType="VARCHAR"/>
            <result property="memo" column="memo" jdbcType="VARCHAR"/>
            <result property="concurrencyStamp" column="concurrency_stamp" jdbcType="INTEGER"/>
            <result property="tenantId" column="tenant_id" jdbcType="BIGINT"/>
            <result property="deleteFlag" column="delete_flag" jdbcType="CHAR"/>
            <result property="createBy" column="create_by" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateBy" column="update_by" jdbcType="VARCHAR"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,rate_code,name,
        day_count,day_interval,day_times,
        week_cycle_flag,week_interval,week_times,
        continue_flag,total_execution_count,execution_period,
        execution_period_unit,third_code,memo,
        concurrency_stamp,tenant_id,delete_flag,
        create_by,create_time,update_by,
        update_time
    </sql>
</mapper>
